<template>
  <div class="app-container">
    <el-form ref="postForm" :rules="formRules" :model="formData" label-width="150px">
      <el-form-item label="客户名称：" prop="client_name">
        <el-col :span="6">
          <el-input v-model="formData.client_name" placeholder="请输入客户名称"/>
        </el-col>
      </el-form-item>
      <el-form-item label="备注：" prop="client_note">
        <el-col :span="6">
          <el-input v-model="formData.client_note" placeholder="请输入备注"/>
        </el-col>
      </el-form-item>
      <el-form-item align="center">
        <el-button type="primary" @click="submitForm">保存</el-button>
        <el-button @click="onCancel">取消</el-button>
      </el-form-item>
    </el-form>
  </div>
</template>

<script>
import { checkRqInput } from '@/utils/validate'
import { detailClientData, updateClientData, createClientData  } from '@/api/base/index'

export default {
  name: 'ArticleDetail',
  // 配合路由配置的props属性实现在组件中通过props获取参数
  props: {
    id: {
      type: String,
      default() {
        return this.$route.params.id;
      }
    }
  },
  data() {
    return {
      formData: {
     
      },
      // 校验规则
      formRules: {
        client_name: [ checkRqInput ],
        client_note: [ checkRqInput ],
      },
    }
  },
  created() {
    this.fetchDetail()
  },
  methods: {
    // 获取企业详情
    fetchDetail() {
      const id = this.$props.id
      if (id) {
        this.$http(detailClientData(id), (res) => {
          if (res.code == 0) {
            this.formData = res.data
          }
        })
      }
      this.formData.data_id = id
    },
    // 提交表单
    submitForm() {
      this.$refs['postForm'].validate((valid) => {
        if (valid) {
          // 修改
          if (this.formData.data_id) {
            this.$http(updateClientData(this.formData), res => {
              this.$message({
                message: '成功',
                type: 'success'
              })
              this.$router.go(-1)
            })
          } else {
            // 新增
            this.$http(createClientData(this.formData), res => {
              this.$message({
                message: '成功',
                type: 'success'
              })
              this.$router.go(-1)
            })
          }
        } else {
          return false
        }
      })
    },
    // 取消
    onCancel() {
      this.$message({
        message: '已取消!',
        type: 'warning'
      })
      this.$router.go(-1)
    },
  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
</style>
